#include <iostream>
#include <string>
using namespace std;
int main()
{
   char c1,c2;
   int i,a1, a2;
   cin >>c1>>c2;
   cin >>a1>>a2;
   string k;
   bool ima=true;
   if(a1==a2)
   {
   for (i=0;i<a1;i++)
   {
       k=k+c1+c2;
   }
   }
   else if (a1==a2+1)
   {
       for (i=0;i<a2;i++)
       {
       k=k+c1+c2;
   }
   k=k+c1;
   }
   else if (a2==a1+1)
   {
       for (i=0;i<a1;i++)
       {
       k=k+c2+c1;
   }
   k=k+c2;
   }
   else 
   {
      ima=false; 
   }
   
   
   if(ima==true)
   cout <<k;
   else
   cout <<"nemoguce";
}